Package org.apache.jmeter.visualizers

# Interface SearchTextExtension.ISearchTextExtensionProvider

All Known Implementing Classes:
  `SearchTextExtension.JEditorPaneSearchProvider`

Enclosing class:
  SearchTextExtension

public static interface SearchTextExtension.ISearchTextExtensionProvider
Search provider definition Allow the search extension to search on any component

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `executeAndShowTextFind(Pattern pattern)`
  Launch find text engine on target component
  `void`
  `resetTextToFind()`
  reset the provider

- ## Method Details

  - ### resetTextToFind

    void resetTextToFind()
    reset the provider

  - ### executeAndShowTextFind

    boolean executeAndShowTextFind(Pattern pattern)
    Launch find text engine on target component
    Parameters:
      `pattern` - text pattern to search
    Returns:
      true if there was a match, false otherwise